E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
GSsl::OpenSSL::LibraryImp Class Reference

An implementation of the GSsl::LibraryImpBase interface for OpenSSL. More...

`#include <gssl_openssl.h>`

Inheritance diagram for GSsl::OpenSSL::LibraryImp:

## Public Types
typedef GSsl::OpenSSL::Error | Error

## Public Member Functions
| LibraryImp (G::StringArray &library_config, Library::LogFn, bool verbose)
virtual void | addProfile (const std::string &name, bool is_server_profile, const std::string &key_file, const std::string &cert_file, const std::string &ca_file, const std::string &default_peer_certificate_name, const std::string &default_peer_host_name, const std::string &profile_config) override
| Implements Library::addProfile().
virtual bool | hasProfile (const std::string &) const override
| Implements Library::hasProfile().
virtual const GSsl::Profile & | profile (const std::string &) const override
| Implements Library::profile().
virtual std::string | id () const override
| Implements Library::id().
virtual G::StringArray | digesters (bool) const override
| Implements Library::digesters().
virtual Digester | digester (const std::string &, const std::string &) const override
| Implements Library::digester().
Config | config () const
bool | noverify () const
Library::LogFn | log () const
bool | verbose () const
int | index () const
Public Member Functions inherited from GSsl::LibraryImpBase
virtual | ~LibraryImpBase ()
| Destructor.

## Static Public Member Functions
static std::string | credit (const std::string &prefix, const std::string &eol, const std::string &eot)
static std::string | sid ()
Static Public Member Functions inherited from GSsl::LibraryImpBase
static bool | consume (G::StringArray &list, const std::string &item)
| A convenience function that removes the item from the list and returns true iff is was removed. More...

## Detailed Description

An implementation of the GSsl::LibraryImpBase interface for OpenSSL.

Definition at line 176 of file gssl_openssl.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl_openssl.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl_openssl.cpp